package applications.dns;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.BorderFactory; 
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;
import javax.swing.JLabel;
import javax.swing.JPanel; 
import javax.swing.JFrame;
import javax.swing.event.*;
import javax.swing.text.*;
import javax.swing.border.*;
import java.awt.datatransfer.*;

public class DnsFile extends JFrame {

    private JTextArea text;
    private JButton close, copy;

    public DnsFile (String title, String msg) {

	super(title);
	this.getContentPane().setLayout(new BorderLayout());
	this.getContentPane().add("South", buttonPanel());
       
	text = new JTextArea(20,30);
        java.awt.Font f = new  java.awt.Font("Monospaced", Font.PLAIN, 12);
	text.setFont(f);
	JScrollPane scrollpane = new JScrollPane(text);
	text.setText(msg);
	text.setEditable(true);
	this.getContentPane().add("Center",scrollpane);
	this.pack();
	this.setVisible(true);
    }

    private JPanel buttonPanel() {

	JPanel panel = new JPanel();
	panel.setLayout(new FlowLayout());
	JButton close = new JButton("Close");
	close.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		quit();
		}});
	final Toolkit tk = this.getToolkit();
	JButton copy = new JButton("Copy");
	copy.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		text.selectAll();
		String s = text.getText();
		StringSelection ss = new StringSelection(s);
		tk.getSystemClipboard().setContents(ss,ss);
		}});
	panel.add(copy);
	panel.add(close);
	return panel;
    }
    public void quit() { this.dispose();}

    public static void main(String args[]) {

	if (args.length != 2) {
	    System.out.println("Syntax: java applications.dns.DnsFile title text");
	    System.exit(0);
	}
	DnsFile dns = new DnsFile(args[0], args[1]);

    }

}
