package applications.dns;

import java.io.*;
import java.util.Vector;


public class ReadFile {


    private String text;
    private Vector v;


    public Vector getLines() { return v;}

    
    /**
       * Get the value of text.
       * @return Value of text.
       */
    public String getText() {return text;}
    
    /**
       * Set the value of text.
       * @param v  Value to assign to text.
       */
    public void setText(String  v) {this.text = v;}
    

    public ReadFile (String fileName) {

	v = new Vector();
	String s;

	// open the file and read it in
	try
	{
	    DataInputStream ipstr = new DataInputStream(
					new BufferedInputStream(
					new FileInputStream(fileName)));

	    BufferedReader bufrd = new BufferedReader(
				   new InputStreamReader(ipstr));
	    while ((s = bufrd.readLine()) != null) {
		text = text + s;
		v.addElement(s);
	    }				
	    ipstr.close();
	} catch(IOException exep) {
	    System.out.println("IO Fehler");
	}
    }



    public static void main(String args[]) {

	if (args.length != 1) {
	    System.out.println("Syntax: java file");
	    System.exit(0);
	}
	ReadFile rf = new ReadFile(args[0]);
        System.out.println(rf.getText());
    }
}
